> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1occurrencehasoccurrencesbygroup



## OpenAPI

````yaml https://saas.pads365.com/rdx/nds.services.schedule//swagger/v1/swagger.json post /api/v1/Occurrence/hasOccurrences/byGroup
openapi: 3.0.0
info:
  title: nds.services.schedule
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/nds.services.schedule/
security: []
paths:
  /api/v1/Occurrence/hasOccurrences/byGroup:
    post:
      tags:
        - Occurrence
      operationId: Occurrence_HasOccurrencesGrouped
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HasOccurrencesGroupedRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HasOccurrencesGroupedResult'
components:
  schemas:
    HasOccurrencesGroupedRequest:
      type: object
      additionalProperties: false
      required:
        - Groups
        - Start
        - End
      properties:
        Groups:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/GroupedScheduleRequest'
        Start:
          type: string
          format: date-time
          minLength: 1
        End:
          type: string
          format: date-time
          minLength: 1
    HasOccurrencesGroupedResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Groups:
              type: object
              additionalProperties:
                type: boolean
    GroupedScheduleRequest:
      type: object
      additionalProperties: false
      properties:
        Key:
          type: string
        ScheduleIds:
          type: array
          items:
            type: string
            format: guid
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true

````